- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes

# QImageIOHandler Class Reference

Search for all occurrences

## Detailed Description

Definition at line 61 of file qimageiohandler.h.

`#include <qimageiohandler.h>`

List of all members.

## Public Types
enum | ImageOption { Size, ClipRect, Description, ScaledClipRect, ScaledSize, CompressionRatio, Gamma, Quality, Name, SubType, IncrementalReading, Endianness, Animation, BackgroundColor, ImageFormat }
## Public Member Functions
| QImageIOHandler ()
virtual | ~QImageIOHandler ()
void | setDevice (QIODevice *device)
QIODevice * | device () const
void | setFormat (const QByteArray &format)
void | setFormat (const QByteArray &format) const
QByteArray | format () const
virtual QByteArray | name () const
virtual bool | canRead () const =0
virtual bool | read (QImage *image)=0
virtual bool | write (const QImage &image)
virtual QVariant | option (ImageOption option) const
virtual void | setOption (ImageOption option, const QVariant &value)
virtual bool | supportsOption (ImageOption option) const
virtual bool | jumpToNextImage ()
virtual bool | jumpToImage (int imageNumber)
virtual int | loopCount () const
virtual int | imageCount () const
virtual int | nextImageDelay () const
virtual int | currentImageNumber () const
virtual QRect | currentImageRect () const
## Protected Member Functions
| QImageIOHandler (QImageIOHandlerPrivate &dd)
## Protected Attributes
QScopedPointer < QImageIOHandlerPrivate > | d_ptr

## Member Enumeration Documentation

enum ImageOption

Search for all occurrences

Enumerator:

  Size | Search for all occurrences
  ClipRect | Search for all occurrences
  Description | Search for all occurrences
  ScaledClipRect | Search for all occurrences
  ScaledSize | Search for all occurrences
  CompressionRatio | Search for all occurrences
  Gamma | Search for all occurrences
  Quality | Search for all occurrences
  Name | Search for all occurrences
  SubType | Search for all occurrences
  IncrementalReading | Search for all occurrences
  Endianness | Search for all occurrences
  Animation | Search for all occurrences
  BackgroundColor | Search for all occurrences
  ImageFormat | Search for all occurrences

Definition at line 81 of file qimageiohandler.h.

                         {
            Size,
            ClipRect,
            Description,
            ScaledClipRect,
            ScaledSize,
            CompressionRatio,
            Gamma,
            Quality,
            Name,
            SubType,
            IncrementalReading,
            Endianness,
            Animation,
            BackgroundColor,
            ImageFormat
        };

## Constructor & Destructor Documentation

QImageIOHandler | ( |  | ) |

virtual ~QImageIOHandler | ( |  | ) | `[virtual]`

QImageIOHandler | ( | QImageIOHandlerPrivate & | dd | ) | `[protected]`

## Member Function Documentation

void setDevice | ( | QIODevice * | device | ) |

Search for all occurrences

QIODevice* device | ( |  | ) | const

Search for all occurrences

void setFormat | ( | const QByteArray & | format | ) |

Search for all occurrences

void setFormat | ( | const QByteArray & | format | ) | const

Search for all occurrences

QByteArray format | ( |  | ) | const

Search for all occurrences

virtual QByteArray name | ( |  | ) | const `[virtual]`

Search for all occurrences

virtual bool canRead | ( |  | ) | const `[pure virtual]`

Search for all occurrences

virtual bool read | ( | QImage * | image | ) | `[pure virtual]`

Search for all occurrences

virtual bool write | ( | const QImage & | image | ) | `[virtual]`

Search for all occurrences

virtual QVariant option | ( | ImageOption | option | ) | const `[virtual]`

Search for all occurrences

virtual void setOption | ( | ImageOption | option,
|  | const QVariant & | value
| ) |  | `[virtual]`

Search for all occurrences

virtual bool supportsOption | ( | ImageOption | option | ) | const `[virtual]`

Search for all occurrences

virtual bool jumpToNextImage | ( |  | ) | `[virtual]`

Search for all occurrences

virtual bool jumpToImage | ( | int | imageNumber | ) | `[virtual]`

Search for all occurrences

virtual int loopCount | ( |  | ) | const `[virtual]`

Search for all occurrences

virtual int imageCount | ( |  | ) | const `[virtual]`

Search for all occurrences

virtual int nextImageDelay | ( |  | ) | const `[virtual]`

Search for all occurrences

virtual int currentImageNumber | ( |  | ) | const `[virtual]`

Search for all occurrences

virtual QRect currentImageRect | ( |  | ) | const `[virtual]`

Search for all occurrences

## Member Data Documentation

QScopedPointer<QImageIOHandlerPrivate> d_ptr `[protected]`

Search for all occurrences

Definition at line 113 of file qimageiohandler.h.

The documentation for this class was generated from the following file:

- QtGui/qimageiohandler.h

QImageIOHandler QImageIOHandler QImageIOHandler QImageIOHandler QImageIOHandler QImageIOHandler QImageIOHandler QImageIOHandler QImageIOHandler QImageIOHandler
QImageIOHandler QImageIOHandler QImageIOHandler QImageIOHandler QImageIOHandler QImageIOHandler QImageIOHandler QImageIOHandler QImageIOHandler QImageIOHandler